### YamlMime:ManagedReference
items:
- uid: Voile.Rendering.WindowSettings
  commentId: T:Voile.Rendering.WindowSettings
  id: WindowSettings
  parent: Voile.Rendering
  children:
  - Voile.Rendering.WindowSettings.#ctor(System.String,System.Numerics.Vector2)
  - Voile.Rendering.WindowSettings.Default
  - Voile.Rendering.WindowSettings.Resizable
  - Voile.Rendering.WindowSettings.Size
  - Voile.Rendering.WindowSettings.Title
  langs:
  - csharp
  - vb
  name: WindowSettings
  nameWithType: WindowSettings
  fullName: Voile.Rendering.WindowSettings
  type: Struct
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: WindowSettings
    path: Source/Rendering/RenderSystem.cs
    startLine: 220
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public struct WindowSettings
    content.vb: Public Structure WindowSettings
  inheritedMembers:
  - System.ValueType.Equals(System.Object)
  - System.ValueType.GetHashCode
  - System.ValueType.ToString
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetType
  - System.Object.ReferenceEquals(System.Object,System.Object)
- uid: Voile.Rendering.WindowSettings.Title
  commentId: F:Voile.Rendering.WindowSettings.Title
  id: Title
  parent: Voile.Rendering.WindowSettings
  langs:
  - csharp
  - vb
  name: Title
  nameWithType: WindowSettings.Title
  fullName: Voile.Rendering.WindowSettings.Title
  type: Field
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Title
    path: Source/Rendering/RenderSystem.cs
    startLine: 222
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public string Title
    return:
      type: System.String
    content.vb: Public Title As String
- uid: Voile.Rendering.WindowSettings.Size
  commentId: F:Voile.Rendering.WindowSettings.Size
  id: Size
  parent: Voile.Rendering.WindowSettings
  langs:
  - csharp
  - vb
  name: Size
  nameWithType: WindowSettings.Size
  fullName: Voile.Rendering.WindowSettings.Size
  type: Field
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Size
    path: Source/Rendering/RenderSystem.cs
    startLine: 223
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public Vector2 Size
    return:
      type: System.Numerics.Vector2
    content.vb: Public Size As Vector2
- uid: Voile.Rendering.WindowSettings.Resizable
  commentId: P:Voile.Rendering.WindowSettings.Resizable
  id: Resizable
  parent: Voile.Rendering.WindowSettings
  langs:
  - csharp
  - vb
  name: Resizable
  nameWithType: WindowSettings.Resizable
  fullName: Voile.Rendering.WindowSettings.Resizable
  type: Property
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Resizable
    path: Source/Rendering/RenderSystem.cs
    startLine: 224
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public bool Resizable { readonly get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property Resizable As Boolean
  overload: Voile.Rendering.WindowSettings.Resizable*
- uid: Voile.Rendering.WindowSettings.#ctor(System.String,System.Numerics.Vector2)
  commentId: M:Voile.Rendering.WindowSettings.#ctor(System.String,System.Numerics.Vector2)
  id: '#ctor(System.String,System.Numerics.Vector2)'
  parent: Voile.Rendering.WindowSettings
  langs:
  - csharp
  - vb
  name: WindowSettings(string, Vector2)
  nameWithType: WindowSettings.WindowSettings(string, Vector2)
  fullName: Voile.Rendering.WindowSettings.WindowSettings(string, System.Numerics.Vector2)
  type: Constructor
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Rendering/RenderSystem.cs
    startLine: 226
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public WindowSettings(string title, Vector2 size)
    parameters:
    - id: title
      type: System.String
    - id: size
      type: System.Numerics.Vector2
    content.vb: Public Sub New(title As String, size As Vector2)
  overload: Voile.Rendering.WindowSettings.#ctor*
  nameWithType.vb: WindowSettings.New(String, Vector2)
  fullName.vb: Voile.Rendering.WindowSettings.New(String, System.Numerics.Vector2)
  name.vb: New(String, Vector2)
- uid: Voile.Rendering.WindowSettings.Default
  commentId: P:Voile.Rendering.WindowSettings.Default
  id: Default
  parent: Voile.Rendering.WindowSettings
  langs:
  - csharp
  - vb
  name: Default
  nameWithType: WindowSettings.Default
  fullName: Voile.Rendering.WindowSettings.Default
  type: Property
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Default
    path: Source/Rendering/RenderSystem.cs
    startLine: 232
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public static WindowSettings Default { get; }
    parameters: []
    return:
      type: Voile.Rendering.WindowSettings
    content.vb: Public Shared ReadOnly Property [Default] As WindowSettings
  overload: Voile.Rendering.WindowSettings.Default*
references:
- uid: Voile.Rendering
  commentId: N:Voile.Rendering
  href: Voile.html
  name: Voile.Rendering
  nameWithType: Voile.Rendering
  fullName: Voile.Rendering
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
- uid: System.ValueType.Equals(System.Object)
  commentId: M:System.ValueType.Equals(System.Object)
  parent: System.ValueType
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype.equals
  name: Equals(object)
  nameWithType: ValueType.Equals(object)
  fullName: System.ValueType.Equals(object)
  nameWithType.vb: ValueType.Equals(Object)
  fullName.vb: System.ValueType.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.ValueType.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.equals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.ValueType.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.equals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.ValueType.GetHashCode
  commentId: M:System.ValueType.GetHashCode
  parent: System.ValueType
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype.gethashcode
  name: GetHashCode()
  nameWithType: ValueType.GetHashCode()
  fullName: System.ValueType.GetHashCode()
  spec.csharp:
  - uid: System.ValueType.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.ValueType.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.gethashcode
  - name: (
  - name: )
- uid: System.ValueType.ToString
  commentId: M:System.ValueType.ToString
  parent: System.ValueType
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype.tostring
  name: ToString()
  nameWithType: ValueType.ToString()
  fullName: System.ValueType.ToString()
  spec.csharp:
  - uid: System.ValueType.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.ValueType.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.tostring
  - name: (
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.ValueType
  commentId: T:System.ValueType
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype
  name: ValueType
  nameWithType: ValueType
  fullName: System.ValueType
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: System.Numerics.Vector2
  commentId: T:System.Numerics.Vector2
  parent: System.Numerics
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  name: Vector2
  nameWithType: Vector2
  fullName: System.Numerics.Vector2
- uid: System.Numerics
  commentId: N:System.Numerics
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Numerics
  nameWithType: System.Numerics
  fullName: System.Numerics
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Numerics
    name: Numerics
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Numerics
    name: Numerics
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics
- uid: Voile.Rendering.WindowSettings.Resizable*
  commentId: Overload:Voile.Rendering.WindowSettings.Resizable
  href: Voile.Rendering.WindowSettings.html#Voile_Rendering_WindowSettings_Resizable
  name: Resizable
  nameWithType: WindowSettings.Resizable
  fullName: Voile.Rendering.WindowSettings.Resizable
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: Voile.Rendering.WindowSettings.#ctor*
  commentId: Overload:Voile.Rendering.WindowSettings.#ctor
  href: Voile.Rendering.WindowSettings.html#Voile_Rendering_WindowSettings__ctor_System_String_System_Numerics_Vector2_
  name: WindowSettings
  nameWithType: WindowSettings.WindowSettings
  fullName: Voile.Rendering.WindowSettings.WindowSettings
  nameWithType.vb: WindowSettings.New
  fullName.vb: Voile.Rendering.WindowSettings.New
  name.vb: New
- uid: Voile.Rendering.WindowSettings.Default*
  commentId: Overload:Voile.Rendering.WindowSettings.Default
  href: Voile.Rendering.WindowSettings.html#Voile_Rendering_WindowSettings_Default
  name: Default
  nameWithType: WindowSettings.Default
  fullName: Voile.Rendering.WindowSettings.Default
- uid: Voile.Rendering.WindowSettings
  commentId: T:Voile.Rendering.WindowSettings
  parent: Voile.Rendering
  href: Voile.Rendering.WindowSettings.html
  name: WindowSettings
  nameWithType: WindowSettings
  fullName: Voile.Rendering.WindowSettings
